import 'enums.dart';

abstract class LoggerConfig {
  LoggerLevel printLevel;
  LoggerLevel fileLevel;
  String fileDirectoryName;
  LoggerLevel serverLevel;
  String serverUrl;

  updateConfig({
    LoggerLevel printLevel,
    LoggerLevel fileLevel,
    String fileDirectoryName,
    LoggerLevel serverLevel,
    String serverUrl,
  });
}

abstract class Logger {
  trace(dynamic message);
  debug(dynamic message);
  info(dynamic message);
  warn(dynamic message);
  error(dynamic message);
  fatal(dynamic message);
}
